{
  "name": "voc-frontend",
  "version": "0.1.0",
  "private": true,
  "scripts": {
    "dev": "cross-env NODE_ENV=development PORT=9000 node server.js",
    "build": "next build",
    "start": "next start -p ${PORT:-9000}",
    "gcp-build": ". ./injectenv.sh && next build"
  },
  "dependencies": {
    "@chakra-ui/core": "^0.8.0",
    "@chakra-ui/theme-tools": "^1.0.0-next.3",
    "@chakra-ui/transition": "^1.0.0-next.3",
    "@emotion/core": "^10.0.35",
    "@emotion/styled": "^10.0.27",
    "@svgr/webpack": "^5.4.0",
    "@types/jwt-decode": "^2.2.1",
    "@types/nprogress": "^0.2.0",
    "@types/react-infinite-scroller": "^1.2.1",
    "@types/react-linkify": "^1.0.0",
    "@types/react-measure": "^2.0.6",
    "@types/react-query": "^1.1.2",
    "@types/react-side-effect": "^1.1.1",
    "axios": "^0.20.0",
    "date-fns": "^2.16.1",
    "emotion-theming": "^10.0.27",
    "imagemin-svgo": "^8.0.0",
    "jwt-decode": "^2.2.0",
    "next": "^10.1.3",
    "next-optimized-images": "^2.6.2",
    "nprogress": "^0.2.0",
    "react": "^17.0.2",
    "react-countup": "^4.3.3",
    "react-dom": "^17.0.2",
    "react-icons": "^3.11.0",
    "react-infinite-scroller": "^1.2.4",
    "react-linkify": "^1.0.0-alpha",
    "react-measure": "^2.5.0",
    "react-query": "^2.23.0",
    "react-query-devtools": "^2.5.0",
    "react-side-effect": "^2.1.0",
    "swr": "^0.3.2",
    "url-loader": "^4.1.0"
  },
  "devDependencies": {
    "@commitlint/cli": "^9.0.1",
    "@commitlint/config-conventional": "^9.0.1",
    "@types/node": "^14.6.0",
    "@types/react": "^16.9.46",
    "@typescript-eslint/eslint-plugin": "^3.4.0",
    "@typescript-eslint/parser": "^3.4.0",
    "babel-plugin-styled-components": "^1.10.7",
    "cross-env": "^7.0.2",
    "express": "^4.17.1",
    "http-proxy-middleware": "^1.0.5",
    "husky": "^4.2.5",
    "lint-staged": "^10.2.11",
    "prettier": "2.0.5",
    "typescript": "^4.0.2"
  },
  "eslintConfig": {
    "extends": "react-app"
  },
  "lint-staged": {
    "*{.ts,.tsx,.less}": [
      "prettier --write"
    ]
  },
  "husky": {
    "hooks": {
      "commit-msg": "commitlint -E HUSKY_GIT_PARAMS",
      "pre-commit": "lint-staged"
    }
  }
}
